Get all sessions
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/sessions \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sessions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "/{apiEndpoint}?page=3",
"current": "/{apiEndpoint}?page=2",
"previous": "/{apiEndpoint}?page=1"
},
"data": [
{
"kind": "<string>",
"url": "<string>",
"id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"title": "Maximize Your Potential: Strategies for Success in a Digital World",
"description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>",
"startDateTime": "2025-03-14T05:55:00Z",
"endDateTime": "2025-03-14T05:55:00Z",
"location": [
{
"locationId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"locationName": "Session location",
"link": "<string>"
}
],
"speakers": [
{
"speakerId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"url": "<string>"
}
],
"sponsors": [
{
"sponsorId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"url": "<string>"
}
],
"tags": [
"tag1",
"tag2"
],
"files": [
{
"fileId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"fileName": "Presentation",
"fileUrl": "https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61"
}
],
"availableSpots": 100,
"totalCapacity": 100,
"remainingCapacity": 75,
"externalRefId": "d812a64f8865428990249a120792c3d8",
"parentSessionId": "d812a64f8865428990249a120792c3d8"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Sessions
Get all sessions
Use this endpoint to retrieve the list of all sessions in a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response
Required API key scopes: READ
GET
/
v1
/
events
/
{eventId}
/
sessions
Get all sessions
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Query Parameters
Filter query in format:
Available filters:
- startDateTime: operations [gt, between, eq, lte, gte, lt]
- endDateTime: operations [gt, between, eq, lte, gte, lt]
Sort query in format:
The following fields are sortable:
- startDateTime
- endDateTime
- title
Page number (default: 1)
Page size (default: 10, max: 50)
Was this page helpful?
⌘I